# Create a TestDisk FreeDos LiveCD

### From CGSecurity

This document explains how to create under Linux a LiveCD running FreeDOS that automatically start TestDisk.

- Download FreeDOS OEM CD-ROM disc builder assistant

    wget -N http://www.fdos.org/bootdisks/ISO/FDOEMCD.builder.zip

- Download the DOS version of TestDisk & PhotoRec

    wget -N http://www.cgsecurity.org/testdisk-6.11-WIP.dos.zip

- Cleanup the work directory if it already exists

    rm -rf FDOEMCD

- Uncompress the archive

    unzip FDOEMCD.builder.zip

- Uncompress latest version of TestDisk & PhotoRec

    cd FDOEMCD/CDROOT
    unzip ../../testdisk-6.11-WIP.dos.zip
    mv testdisk-6.11-WIP testdisk

- Create an autorun script

    echo "@ECHO OFF" > AUTORUN.BAT
    echo "CLS" >> AUTORUN.BAT
    echo "CD TESTDISK\DOS" >> AUTORUN.BAT
    echo "TESTDISK.EXE" >> AUTORUN.BAT

- This script must use DOS newlines, not Unix ones

    unix2dos AUTORUN.BAT

- Create the iso image using mkisofs

    cd ..
    mkisofs -o testdisk.iso -p "Christophe Grenier" -publisher "www.cgsecurity.org" -V "TestDisk CD" \
    -b isolinux/isolinux.bin -no-emul-boot -boot-load-size 4 -boot-info-table -N -J -r \
    -c boot.catalog -hide boot.catalog -hide-joliet boot.catalog CDROOT

- Boot from this iso image in qemu emulator

    qemu -localtime -boot d -cdrom testdisk.iso -hda disk.dd

- If everything is ok, burn the iso

##### Data Recovery

- TestDisk
- PhotoRec
- download